Attean::IRI(3pm)

NAME
Attean::IRI - RDF Internationalized Resource Identifiers (IRIs)

VERSION
This document describes Attean::IRI version 0.035

SYNOPSIS
  use v5.14;
  use Attean;
  my $term = Attean::IRI->new('http://example.org/');
  $term->ntriples_string; # <http://example.org/>

DESCRIPTION
The Attean::IRI class represents RDF IRIs. It conforms to the Attean::API::IRI role and extends the IRI class.

METHODS

"equals ( $iri )"
    Returns true if $iri is equal to the invocant, false otherwise.

"as_string"
    Returns the IRI value.

BUGS
Please report any bugs or feature requests to through the GitHub web interface at <https://github.com/kasei/attean/issues>.

SEE ALSO
IRI

<http://www.ietf.org/rfc/rfc3987.txt>

AUTHOR
Gregory Todd Williams "<gwilliams@cpan.org>"

COPYRIGHT
Copyright (c) 2014--2022 Gregory Todd Williams. This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.